Update Content
curl -X PUT "https://api.videograph.ai/video/services/api/v1/contents/example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Basic YOUR_CREDENTIALS" \
-d '{
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
],
"save_original_copy": true
}'
import requests
import json
url = "https://api.videograph.ai/video/services/api/v1/contents/example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Basic YOUR_CREDENTIALS"
}
data = {
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
],
"save_original_copy": true
}
response = requests.put(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.videograph.ai/video/services/api/v1/contents/example_string", {
method: "PUT",
headers: {
"Content-Type": "application/json",
"Authorization": "Basic YOUR_CREDENTIALS"
},
body: JSON.stringify({
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
],
"save_original_copy": true
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
],
"save_original_copy": true
}`)
req, err := http.NewRequest("PUT", "https://api.videograph.ai/video/services/api/v1/contents/example_string", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Basic YOUR_CREDENTIALS")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.videograph.ai/video/services/api/v1/contents/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Put.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Basic YOUR_CREDENTIALS'
request.body = '{
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
],
"save_original_copy": true
}'
response = http.request(request)
puts response.body
{
"status": "Success",
"message": "Updated video details",
"code": 200,
"data": {
"title": "Video title",
"description": "Video description",
"contentId": "",
"tags": [
"tag1",
"tag2"
],
"metadata": [
{
"key": "abc",
"value": "pqr"
}
],
"playback_policy": [
"public",
"signed"
],
"mp4_support": true,
"save_original_copy": true,
"statusId": 1,
"status": "Processing",
"duration": 100,
"thumbnails": [],
"created_at": 0
}
}
/video/services/api/v1/contents/{CONTENT_ID}Username for basic authentication
Password for basic authentication
Provide the Content ID as available in Videograph dashboard.
The media type of the request body
Provide content title.
Provide content description.
Provide metadata key value pairs.
would u like to save the original copy?. Allowed values are true/false.
Request Preview
Response
Response will appear here after sending the request
Authentication
Basic authentication credentials. Provide username and password encoded in Base64 format: Basic base64(username:password)
Path Parameters
Provide the Content ID as available in Videograph dashboard.
Body
Provide content title.
Provide content description.
Provide metadata key value pairs.
The constant that defines the data set ex-color
A variable whihc belongs to the data set ex-blue
would u like to save the original copy?. Allowed values are true/false.
Responses
OK
Last updated Dec 29, 2025
Built with Documentation.AI